
package com.tmerclub.cloud.multishop.constant;

/**
 * @Author lth
 * @Date 2021/5/20 20:34
 */
public enum HomeStatus {
    /**
     * 是主页
     */
    YES(1),
    /**
     * 不是主页
     */
    NO(0);

    private final Integer num;

    public Integer value() {
        return num;
    }

    HomeStatus(Integer num) {
        this.num = num;
    }

    public static HomeStatus instance(Integer value) {
        HomeStatus[] enums = values();
        for (HomeStatus statusEnum : enums) {
            if (statusEnum.value().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
